extractr docs
Finance

Get latest quote

GET
/finance/quote

Real-time delayed quote: price, day range, volume and market cap for a ticker.

Costs 1 credit per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

symbol*string

Ticker symbol.

Length1 <= length <= 12

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/finance/quote?symbol=AAPL"
{  "symbol": "AAPL",  "name": "Aapl Inc.",  "currency": "USD",  "price": 227.63,  "change": -1.42,  "change_percent": -0.62,  "open": 0,  "high": 0,  "low": 0,  "prev_close": 0,  "volume": 48120400,  "market_cap": 3412000000000,  "timestamp": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}